#!/bin/bash
source $HOME/.bash_profile
PATH=$PATH:/usr/local/bin

cd /etc/golti/registrations
git pull

#redis-cli -h empire -n 7 -x SET httpscanvasinstructurecom-32990000000000049 < httpscanvasinstructurecom-32990000000000049.json 
#redis-cli -h empire -n 7  EXPIRE httpscanvasinstructurecom-32990000000000049 60 > /dev/null 2&>1

redishost=empire
redisdb=7
redistimeout=600

for file in *\.json; do 
  f=$(echo "$file" | cut -f 1 -d '.')
  redis-cli -h $redishost -n $redisdb -x SET $f < $file > /dev/null 2>&1
  redis-cli -h $redishost -n $redisdb  EXPIRE $f $redistimeout > /dev/null 2>&1
  echo  "Uploaded $f"; 
done


